<mat-card class="rounded-xl shadow-xl">
    <mat-card-header>
        <mat-card-title>{{ data.title }}</mat-card-title>
        <mat-card-subtitle>{{ data.release_date | date: 'YYYY.MM.dd' }}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
        <p class="text-center">
            <img [src]="data.cover" [alt]="data.title" class="mb-3 object-cover h-96 w-full" />
        </p>
        <p>
            {{ (data.opening_crawl.length > textLimit)? (data.opening_crawl | slice:0:textLimit) + '...' : (data.opening_crawl) }}
        </p>
    </mat-card-content>
</mat-card>
